Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sampleApplications
Class CSSHelloSSOWithSA

    java.lang.Object
      |
      +--sampleApplications.CSSHelloSSOWithSA

public class CSSHelloSSOWithSA
extends java.lang.Object

This sample application demonstrates the authentication of users that exist in the external repository using headers populated by the Security Agent.

The pre-condition to running this sample is the presence of the `<securityAgent>` element in the configuration and the availability of the `login name` as an argument to the `authenticate` method.

The user is authenticated based on the header that is passed. A token is generated upon authentication. This sample application also demonstrates authentication by using the token that is generated.

This application authenticates a user using a `login name` when the Security Agent is configured. It then passes the user credentials as a token to the constructor for mySSOApp1. This hypothetical application, when launched, authenticates the same user using the token.

This application uses the following classes of this package:

- `MyApp.java`
- `MySSOApp.java`

Constructor Summary
`CSSHelloSSOWithSA()`

Method Summary
`static void` | `main(java.lang.String[] args)` Main part of the program that details the invocation of the CSS authenticate method when a SecurityAgent provided header whose value is the "login name" for an user is available.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSHelloSSOWithSA

    public CSSHelloSSOWithSA()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main part of the program that details the invocation of the CSS authenticate method when a SecurityAgent provided header whose value is the "login name" for an user is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD